%global modname typed_ast

Name:               python3-%{modname}
Version:            1.1.0
Release:            4%{?dist}
Summary:            A fork of the ast module with type annotations

License:            ASL 2.0
URL:                https://github.com/python/typed_ast/releases
Source0:            %{url}/archive/%{version}/%{modname}-%{version}.tar.gz
%{?python_provide:%python_provide python%{python3_pkgversion}-%{modname}}

BuildRequires:      gcc
BuildRequires:      python3-devel
BuildRequires:      python3-setuptools

%description
%summary. This package is based on the ast modules from Python 2 and 3,
and has been extended with support for type comments and type annotations
as supported in Python 3.6.


%prep
%autosetup -n %{modname}-%{version}

%build
%py3_build

%install
%py3_install

%check
%{__python3} setup.py test

%files -n python%{python3_pkgversion}-%{modname}
%doc *.md
%license LICENSE
%{python3_sitearch}/%{modname}/
%{python3_sitearch}/_ast*.so
%{python3_sitearch}/%{modname}-*.egg-info/

%changelog
* Sat Jul 14 2018 Fedora Release Engineering <releng@fedoraproject.org> - 1.1.0-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_29_Mass_Rebuild

* Tue Jun 19 2018 Miro Hrončok <mhroncok@redhat.com> - 1.1.0-3
- Rebuilt for Python 3.7

* Fri Feb 09 2018 Fedora Release Engineering <releng@fedoraproject.org> - 1.1.0-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_28_Mass_Rebuild

* Tue Nov 07 2017 Gwyn Ciesla <limburgher@gmail.com> - 1.1.0-1
- 1.1.0

* Mon Jul 31 2017 Gwyn Ciesla <limburgher@gmail.com> - 1.0.4-1
- 1.0.4

* Thu Jul 27 2017 Fedora Release Engineering <releng@fedoraproject.org> - 1.0.3-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Mass_Rebuild

* Sun Jun 11 2017 Gwyn Ciesla <limburgher@gmail.com> - 1.0.3-1
- Initial package.
